1. Registry
  2. Packages
  3. Oracle Cloud Infrastructure
  4. API Docs
  5. DataSafe
  6. getSubsettingPolicySubsettingSchemaObjects
Viewing docs for Oracle Cloud Infrastructure v5.5.0
published on Thursday, Oct 22, 2026 by Pulumi
oci logo oci logo
Viewing docs for Oracle Cloud Infrastructure v5.5.0
published on Thursday, Oct 22, 2026 by Pulumi

    This data source provides the list of Subsetting Policy Subsetting Schema Objects in Oracle Cloud Infrastructure Data Safe service.

    Gets a list of objects/tables present in the specified subsetting policy schemas based on the specified query parameters.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testSubsettingPolicySubsettingSchemaObjects = oci.datasafe.getSubsettingPolicySubsettingSchemaObjects({
        subsettingPolicyId: testSubsettingPolicy.id,
        objects: subsettingPolicySubsettingSchemaObjectObject,
        schemaNames: subsettingPolicySubsettingSchemaObjectSchemaName,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_subsetting_policy_subsetting_schema_objects = oci.datasafe.get_subsetting_policy_subsetting_schema_objects(subsetting_policy_id=test_subsetting_policy["id"],
        objects=subsetting_policy_subsetting_schema_object_object,
        schema_names=subsetting_policy_subsetting_schema_object_schema_name)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := datasafe.GetSubsettingPolicySubsettingSchemaObjects(ctx, &datasafe.GetSubsettingPolicySubsettingSchemaObjectsArgs{
    			SubsettingPolicyId: testSubsettingPolicy.Id,
    			Objects:            subsettingPolicySubsettingSchemaObjectObject,
    			SchemaNames:        subsettingPolicySubsettingSchemaObjectSchemaName,
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testSubsettingPolicySubsettingSchemaObjects = Oci.DataSafe.GetSubsettingPolicySubsettingSchemaObjects.Invoke(new()
        {
            SubsettingPolicyId = testSubsettingPolicy.Id,
            Objects = subsettingPolicySubsettingSchemaObjectObject,
            SchemaNames = subsettingPolicySubsettingSchemaObjectSchemaName,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.DataSafe.DataSafeFunctions;
    import com.pulumi.oci.DataSafe.inputs.GetSubsettingPolicySubsettingSchemaObjectsArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testSubsettingPolicySubsettingSchemaObjects = DataSafeFunctions.getSubsettingPolicySubsettingSchemaObjects(GetSubsettingPolicySubsettingSchemaObjectsArgs.builder()
                .subsettingPolicyId(testSubsettingPolicy.get("id"))
                .objects(subsettingPolicySubsettingSchemaObjectObject)
                .schemaNames(subsettingPolicySubsettingSchemaObjectSchemaName)
                .build());
    
        }
    }
    
    variables:
      testSubsettingPolicySubsettingSchemaObjects:
        fn::invoke:
          function: oci:DataSafe:getSubsettingPolicySubsettingSchemaObjects
          arguments:
            subsettingPolicyId: ${testSubsettingPolicy.id}
            objects: ${subsettingPolicySubsettingSchemaObjectObject}
            schemaNames: ${subsettingPolicySubsettingSchemaObjectSchemaName}
    
    terraform {
      required_providers {
        oci = {
          source = "pulumi/oci"
        }
      }
    }
    
    data "oci_data_safe_subsetting_policy_subsetting_schema_objects" "testSubsettingPolicySubsettingSchemaObjects" {
      subsetting_policy_id = testSubsettingPolicy.id
      objects              = subsettingPolicySubsettingSchemaObjectObject
      schema_names         = subsettingPolicySubsettingSchemaObjectSchemaName
    }
    

    Using getSubsettingPolicySubsettingSchemaObjects

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getSubsettingPolicySubsettingSchemaObjects(args: GetSubsettingPolicySubsettingSchemaObjectsArgs, opts?: InvokeOptions): Promise<GetSubsettingPolicySubsettingSchemaObjectsResult>
    function getSubsettingPolicySubsettingSchemaObjectsOutput(args: GetSubsettingPolicySubsettingSchemaObjectsOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingPolicySubsettingSchemaObjectsResult>
    def get_subsetting_policy_subsetting_schema_objects(filters: Optional[Sequence[GetSubsettingPolicySubsettingSchemaObjectsFilter]] = None,
                                                        objects: Optional[Sequence[str]] = None,
                                                        schema_names: Optional[Sequence[str]] = None,
                                                        subsetting_policy_id: Optional[str] = None,
                                                        opts: Optional[InvokeOptions] = None) -> GetSubsettingPolicySubsettingSchemaObjectsResult
    def get_subsetting_policy_subsetting_schema_objects_output(filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingPolicySubsettingSchemaObjectsFilterArgs]]]] = None,
                                                        objects: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
                                                        schema_names: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
                                                        subsetting_policy_id: pulumi.Input[Optional[str]] = None,
                                                        opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingPolicySubsettingSchemaObjectsResult]
    func GetSubsettingPolicySubsettingSchemaObjects(ctx *Context, args *GetSubsettingPolicySubsettingSchemaObjectsArgs, opts ...InvokeOption) (*GetSubsettingPolicySubsettingSchemaObjectsResult, error)
    func GetSubsettingPolicySubsettingSchemaObjectsOutput(ctx *Context, args *GetSubsettingPolicySubsettingSchemaObjectsOutputArgs, opts ...InvokeOption) GetSubsettingPolicySubsettingSchemaObjectsResultOutput

    > Note: This function is named GetSubsettingPolicySubsettingSchemaObjects in the Go SDK.

    public static class GetSubsettingPolicySubsettingSchemaObjects 
    {
        public static Task<GetSubsettingPolicySubsettingSchemaObjectsResult> InvokeAsync(GetSubsettingPolicySubsettingSchemaObjectsArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingPolicySubsettingSchemaObjectsResult> Invoke(GetSubsettingPolicySubsettingSchemaObjectsInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingPolicySubsettingSchemaObjectsResult> Invoke(GetSubsettingPolicySubsettingSchemaObjectsInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetSubsettingPolicySubsettingSchemaObjectsResult> getSubsettingPolicySubsettingSchemaObjects(GetSubsettingPolicySubsettingSchemaObjectsArgs args, InvokeOptions options)
    public static Output<GetSubsettingPolicySubsettingSchemaObjectsResult> getSubsettingPolicySubsettingSchemaObjects(GetSubsettingPolicySubsettingSchemaObjectsArgs args, InvokeOptions options)
    public static Output<GetSubsettingPolicySubsettingSchemaObjectsResult> getSubsettingPolicySubsettingSchemaObjects(GetSubsettingPolicySubsettingSchemaObjectsArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: oci:DataSafe/getSubsettingPolicySubsettingSchemaObjects:getSubsettingPolicySubsettingSchemaObjects
      arguments:
        # arguments dictionary
    data "oci_data_safe_get_subsetting_policy_subsetting_schema_objects" "name" {
        # arguments
    }

    The following arguments are supported:

    SubsettingPolicyId string
    The OCID of the subsetting policy.
    Filters List<GetSubsettingPolicySubsettingSchemaObjectsFilter>
    Objects List<string>
    A filter to return only items related to a specific object name.
    SchemaNames List<string>
    A filter to return only items related to specific schema name.
    SubsettingPolicyId string
    The OCID of the subsetting policy.
    Filters []GetSubsettingPolicySubsettingSchemaObjectsFilter
    Objects []string
    A filter to return only items related to a specific object name.
    SchemaNames []string
    A filter to return only items related to specific schema name.
    subsetting_policy_id string
    The OCID of the subsetting policy.
    filters list(object)
    objects list(string)
    A filter to return only items related to a specific object name.
    schema_names list(string)
    A filter to return only items related to specific schema name.
    subsettingPolicyId String
    The OCID of the subsetting policy.
    filters List<GetSubsettingPolicySubsettingSchemaObjectsFilter>
    objects List<String>
    A filter to return only items related to a specific object name.
    schemaNames List<String>
    A filter to return only items related to specific schema name.
    subsettingPolicyId string
    The OCID of the subsetting policy.
    filters GetSubsettingPolicySubsettingSchemaObjectsFilter[]
    objects string[]
    A filter to return only items related to a specific object name.
    schemaNames string[]
    A filter to return only items related to specific schema name.
    subsetting_policy_id str
    The OCID of the subsetting policy.
    filters Sequence[GetSubsettingPolicySubsettingSchemaObjectsFilter]
    objects Sequence[str]
    A filter to return only items related to a specific object name.
    schema_names Sequence[str]
    A filter to return only items related to specific schema name.
    subsettingPolicyId String
    The OCID of the subsetting policy.
    filters List<Property Map>
    objects List<String>
    A filter to return only items related to a specific object name.
    schemaNames List<String>
    A filter to return only items related to specific schema name.

    getSubsettingPolicySubsettingSchemaObjects Result

    The following output properties are available:

    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingPolicyId string
    SubsettingSchemaObjectCollections List<GetSubsettingPolicySubsettingSchemaObjectsSubsettingSchemaObjectCollection>
    The list of subsetting_schema_object_collection.
    Filters List<GetSubsettingPolicySubsettingSchemaObjectsFilter>
    Objects List<string>
    The name of the database object
    SchemaNames List<string>
    The database schema that contains the subsetting table
    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingPolicyId string
    SubsettingSchemaObjectCollections []GetSubsettingPolicySubsettingSchemaObjectsSubsettingSchemaObjectCollection
    The list of subsetting_schema_object_collection.
    Filters []GetSubsettingPolicySubsettingSchemaObjectsFilter
    Objects []string
    The name of the database object
    SchemaNames []string
    The database schema that contains the subsetting table
    id string
    The provider-assigned unique ID for this managed resource.
    subsetting_policy_id string
    subsetting_schema_object_collections list(object)
    The list of subsetting_schema_object_collection.
    filters list(object)
    objects list(string)
    The name of the database object
    schema_names list(string)
    The database schema that contains the subsetting table
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingPolicyId String
    subsettingSchemaObjectCollections List<GetSubsettingPolicySubsettingSchemaObjectsSubsettingSchemaObjectCollection>
    The list of subsetting_schema_object_collection.
    filters List<GetSubsettingPolicySubsettingSchemaObjectsFilter>
    objects List<String>
    The name of the database object
    schemaNames List<String>
    The database schema that contains the subsetting table
    id string
    The provider-assigned unique ID for this managed resource.
    subsettingPolicyId string
    subsettingSchemaObjectCollections GetSubsettingPolicySubsettingSchemaObjectsSubsettingSchemaObjectCollection[]
    The list of subsetting_schema_object_collection.
    filters GetSubsettingPolicySubsettingSchemaObjectsFilter[]
    objects string[]
    The name of the database object
    schemaNames string[]
    The database schema that contains the subsetting table
    id str
    The provider-assigned unique ID for this managed resource.
    subsetting_policy_id str
    subsetting_schema_object_collections Sequence[GetSubsettingPolicySubsettingSchemaObjectsSubsettingSchemaObjectCollection]
    The list of subsetting_schema_object_collection.
    filters Sequence[GetSubsettingPolicySubsettingSchemaObjectsFilter]
    objects Sequence[str]
    The name of the database object
    schema_names Sequence[str]
    The database schema that contains the subsetting table
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingPolicyId String
    subsettingSchemaObjectCollections List<Property Map>
    The list of subsetting_schema_object_collection.
    filters List<Property Map>
    objects List<String>
    The name of the database object
    schemaNames List<String>
    The database schema that contains the subsetting table

    Supporting Types

    GetSubsettingPolicySubsettingSchemaObjectsFilter

    Name string
    Values List<string>
    Regex bool
    Name string
    Values []string
    Regex bool
    name string
    values list(string)
    regex bool
    name String
    values List<String>
    regex Boolean
    name string
    values string[]
    regex boolean
    name str
    values Sequence[str]
    regex bool
    name String
    values List<String>
    regex Boolean

    GetSubsettingPolicySubsettingSchemaObjectsSubsettingSchemaObjectCollection

    items list(object)
    An array of subsetting table summary objects
    items List<Property Map>
    An array of subsetting table summary objects

    GetSubsettingPolicySubsettingSchemaObjectsSubsettingSchemaObjectCollectionItem

    InitialRowCount string
    The initial number of rows in this object/table
    IsStatsStale bool
    Indicates if the table stats are stale. This can be used to judge the accuracy of initialRowCount
    Key string
    The unique key that identifies a subsetting table. The key is numeric and unique within a subsetting policy
    Object string
    A filter to return only items related to a specific object name.
    ObjectType string
    The type of the database object that contains the subsetting table
    SchemaName string
    A filter to return only items related to specific schema name.
    TimeCreated string
    The date and time the subsetting table was created, in the format defined by RFC3339.
    TimeUpdated string
    The date and time the subsetting table was last updated, in the format defined by RFC3339.
    InitialRowCount string
    The initial number of rows in this object/table
    IsStatsStale bool
    Indicates if the table stats are stale. This can be used to judge the accuracy of initialRowCount
    Key string
    The unique key that identifies a subsetting table. The key is numeric and unique within a subsetting policy
    Object string
    A filter to return only items related to a specific object name.
    ObjectType string
    The type of the database object that contains the subsetting table
    SchemaName string
    A filter to return only items related to specific schema name.
    TimeCreated string
    The date and time the subsetting table was created, in the format defined by RFC3339.
    TimeUpdated string
    The date and time the subsetting table was last updated, in the format defined by RFC3339.
    initial_row_count string
    The initial number of rows in this object/table
    is_stats_stale bool
    Indicates if the table stats are stale. This can be used to judge the accuracy of initialRowCount
    key string
    The unique key that identifies a subsetting table. The key is numeric and unique within a subsetting policy
    object string
    A filter to return only items related to a specific object name.
    object_type string
    The type of the database object that contains the subsetting table
    schema_name string
    A filter to return only items related to specific schema name.
    time_created string
    The date and time the subsetting table was created, in the format defined by RFC3339.
    time_updated string
    The date and time the subsetting table was last updated, in the format defined by RFC3339.
    initialRowCount String
    The initial number of rows in this object/table
    isStatsStale Boolean
    Indicates if the table stats are stale. This can be used to judge the accuracy of initialRowCount
    key String
    The unique key that identifies a subsetting table. The key is numeric and unique within a subsetting policy
    object String
    A filter to return only items related to a specific object name.
    objectType String
    The type of the database object that contains the subsetting table
    schemaName String
    A filter to return only items related to specific schema name.
    timeCreated String
    The date and time the subsetting table was created, in the format defined by RFC3339.
    timeUpdated String
    The date and time the subsetting table was last updated, in the format defined by RFC3339.
    initialRowCount string
    The initial number of rows in this object/table
    isStatsStale boolean
    Indicates if the table stats are stale. This can be used to judge the accuracy of initialRowCount
    key string
    The unique key that identifies a subsetting table. The key is numeric and unique within a subsetting policy
    object string
    A filter to return only items related to a specific object name.
    objectType string
    The type of the database object that contains the subsetting table
    schemaName string
    A filter to return only items related to specific schema name.
    timeCreated string
    The date and time the subsetting table was created, in the format defined by RFC3339.
    timeUpdated string
    The date and time the subsetting table was last updated, in the format defined by RFC3339.
    initial_row_count str
    The initial number of rows in this object/table
    is_stats_stale bool
    Indicates if the table stats are stale. This can be used to judge the accuracy of initialRowCount
    key str
    The unique key that identifies a subsetting table. The key is numeric and unique within a subsetting policy
    object str
    A filter to return only items related to a specific object name.
    object_type str
    The type of the database object that contains the subsetting table
    schema_name str
    A filter to return only items related to specific schema name.
    time_created str
    The date and time the subsetting table was created, in the format defined by RFC3339.
    time_updated str
    The date and time the subsetting table was last updated, in the format defined by RFC3339.
    initialRowCount String
    The initial number of rows in this object/table
    isStatsStale Boolean
    Indicates if the table stats are stale. This can be used to judge the accuracy of initialRowCount
    key String
    The unique key that identifies a subsetting table. The key is numeric and unique within a subsetting policy
    object String
    A filter to return only items related to a specific object name.
    objectType String
    The type of the database object that contains the subsetting table
    schemaName String
    A filter to return only items related to specific schema name.
    timeCreated String
    The date and time the subsetting table was created, in the format defined by RFC3339.
    timeUpdated String
    The date and time the subsetting table was last updated, in the format defined by RFC3339.

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo oci logo
    Viewing docs for Oracle Cloud Infrastructure v5.5.0
    published on Thursday, Oct 22, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial